## lunar-date 3.0.0

=== meson_options.txt ===
option('with_introspection', type: 'boolean', value : false, description: 'Build with GObject Introspection support')
option('with_vala', type: 'boolean', value: false, description: 'Build to generation vala vapi file')
option('enable_dbus_service', type : 'boolean', value : true, description : 'Enable dbus service (default: yes)')
option('enable_gtk_doc', type : 'boolean', value : false, description: 'Enable generating the API reference (depends on GTK-Doc)')
option('enable_tests', type : 'boolean', value : false, description : 'Enable test programs (default: no)')

# For subproject usage
option('package_subdir', type: 'string',
  description: 'Private sub-directory used when built as a subproject'
)

## lunar-date 2.4.0

=== debian/changelog ===
lunar-date (2.4.0-8) unstable; urgency=medium

  [ 肖盛文 ]
  * Fix for piuparts fails to upgrade from testing, closes: #960689

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 15 May 2020 22:06:09 +0800

lunar-date (2.4.0-7) unstable; urgency=medium

  [ 肖盛文 ]
  * apply lunar-date-arch-dir.patch come from #960569,
    thanks Peter Pentchev  roam@ringlet.net
  * use dh-sequence-gir as a build dependency
  * d/copyright: add Upstream-Contact:
  * d/watch: update to version 4 and use variables
  * d/watch: update watch url
  * d/rules: use execute_before_dh_install target
  * d/rules: add execute_after_dh_clean: rm -rf lunar-date/debian/
  * d/rules: using DEB_CFLAGS_MAINT_APPEND instead of overriding the full value
  * add d/clean file

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 14 May 2020 18:48:40 +0800

lunar-date (2.4.0-6) unstable; urgency=medium

  [ 肖盛文 ]
  * d/copyright:
    + Add xiao sheng wen <atzlinux@sina.com> as Uploaders.
    + use https for Source.
  * d/watch: add https for url
  * d/rules:
    + delete override_dh_missing
    + delete override_dh_strip
    + delete export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
  * d/control:
    + Bump debhelper-compat (= 13)
    + Bump Standards-Version: 4.5.0
    + add https to Homepage url
    + add new Uploader xiao sheng wen <atzlinux@sian.com>
    + add Multi-Arch:
  * fix lintian: typelib-not-in-multiarch-directory
  * add liblunar-date-2.0-0.symbols
  * fix lintian: gir-section-not-libdevel
    move LunarDate-2.0.gir from gir1.2-lunar-date-2.0 to liblunar-date-dev
  * add lintian overrides for packagename
  * add gir1.2-lunar-date-2.0.NEWS

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 14 May 2020 11:59:29 +0800

lunar-date (2.4.0-5) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * Rebuild for Debian Buster.
  * debian/control:
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0.
    + Use Rules-Requires-Root: no.
    + Update uploaders' email address and use the @debian.org one.
    + Remove unnecessary build-dependency dh-autoreconf.
  * debian/rules:
    + Enable full hardening.

  [ ChangZhuo Chen ]
  * debian/control: Update Vcs-* fields to salsa

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Jan 2019 10:56:53 -0500

lunar-date (2.4.0-4) unstable; urgency=medium

  * Add ChangZhuo Chen (陳昌倬) <czchen@debian.org> as Uploaders.
  * Update Build-Depends (Closes: #837825).
  * Bump compat to 10.
  * Bump Standards-Version to 3.9.8.
  * Update copyright to use copyright-format 1.0.
  * Migrate dbg package to dbgsym.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 12 Nov 2016 12:41:12 +0800

lunar-date (2.4.0-3) unstable; urgency=medium

  * use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el
    Thanks Logan Rosen <logatronico@gmail.com> (Closes: #740646)
  * The upstream doesn't use CPPFLAGS, so add them to CFLAGS.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 23 Mar 2014 02:35:08 +0800

lunar-date (2.4.0-2) unstable; urgency=low

  * Remove DMUA stanza.
  * Update policy version to 3.9.5: no modification needed.
  * Update Git URL to be canonical.
  * dh with option autotools_dev to fix build on arm64 and
    maybe other new archs (Closes: 727926).
  * Fix a typo in package description (Closes: #713902)

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 02 Nov 2013 00:30:44 +0800

lunar-date (2.4.0-1) unstable; urgency=low

  * Initial release (Closes: #674808)

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 27 May 2012 13:00:01 +0800

=== debian/control ===
Source: lunar-date
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 YunQiang Su <syq@debian.org>,
 ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 xiao sheng wen <atzlinux@sina.com>,
Build-Depends:
 autoconf-archive,
 debhelper-compat (= 13),
 gnome-common,
 gobject-introspection,
 gtk-doc-tools (>= 1.0),
 intltool,
 libgirepository1.0-dev,
 libglib2.0-dev,
 valac,
 dh-sequence-gir,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Section: libs
Homepage: https://code.google.com/p/liblunar/
Vcs-Git: https://salsa.debian.org/chinese-team/lunar-date.git
Vcs-Browser: https://salsa.debian.org/chinese-team/lunar-date

Package: gir1.2-lunar-date-2.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: GObject Introspection for lunar-date
 Lunar-date is a Chinese Lunar library based on GObject, which can
 covert between Chinese lunar calendar and Gregorian calendar.
 .
 This package contains GObject Introspection for lunar-date.

Package: liblunar-date-2.0-0
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chinese Lunar library based on GObject
 Lunar-date is a Chinese Lunar library based on GObject, which can
 covert between Chinese lunar calendar and Gregorian calendar.
 .
 This package contains shared library and vala bindings.

Package: liblunar-date-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblunar-date-2.0-0 (= ${binary:Version}),
 ${misc:Depends},
Replaces: gir1.2-lunar-date-2.0 (<< 2.4.0-7)
Breaks: gir1.2-lunar-date-2.0 (<< 2.4.0-7)
Description: Chinese Lunar library based on GObject - develop files
 Lunar-date is a Chinese Lunar library based on GObject, which can
 covert between Chinese lunar calendar and Gregorian calendar.
 .
 This package contains develop files: C headers and static library.

Package: liblunar-date-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Chinese Lunar library based on GObject - API documents
 Lunar-date is a Chinese Lunar library based on GObject, which can
 covert between Chinese lunar calendar and Gregorian calendar.
 .
 This package contains API documents.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CFLAGS_MAINT_APPEND = $(CPPFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-vala-bindings

execute_before_dh_install:
	find debian/ -name *.la -delete

=== debian/watch ===
version=4
https://code.google.com/archive/p/liblunar/downloads .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## lunar-date 3.0.0

=== debian/changelog ===
lunar-date (3.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

  [ xiao sheng wen(肖盛文) ]
  * New upstream version 3.0.0
  * d/watch: update to new upstream URL
  * add d/gbp.conf
  * d/control:
      - update to new Homepage: https://github.com/yetist/lunar-date
      - Build-Depends: + meson
      - update Suggests: Multi-Arch: Breaks: Replaces:
      - add new binary package: lunar-date
  * add d/upstream/metadata
  * update liblunar-date-3.0-1.install liblunar-date-dev.install
  * mv d/docs d/liblunar-date-doc.docs, update file list
  * delete d/clean, useless
  * add d/liblunar-date-doc.examples
  * d/copyright:
      - update Source: field, year info, GPL-3+ files list.
      - add LGPL-2.1+ License
  * add d/patches/meson.build.patch
  * add d/patches/meson.build.delwarn.patch
  * d/rules: add export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now
  * rename upstream's NEWS file to upsteam's changelog

  [ Boyuan Yang ]
  * debian/copyright: Add comment section as clarification for
    license condition of the whole project.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Dec 2021 15:11:21 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
  ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
  xiao sheng wen <atzlinux@sina.com>,
 Build-Depends:
- autoconf-archive,
+ meson,
  debhelper-compat (= 13),
+ dh-exec,
  gnome-common,
  gobject-introspection,
  gtk-doc-tools (>= 1.0),
@@ -17,14 +18,15 @@
  valac,
  dh-sequence-gir,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: libs
-Homepage: https://code.google.com/p/liblunar/
+Homepage: https://github.com/yetist/lunar-date
 Vcs-Git: https://salsa.debian.org/chinese-team/lunar-date.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/lunar-date
 
-Package: gir1.2-lunar-date-2.0
+Package: gir1.2-lunardate-3.0
 Section: introspection
+Multi-Arch: same
 Architecture: any
 Depends:
  ${gir:Depends},
@@ -35,7 +37,7 @@
  .
  This package contains GObject Introspection for lunar-date.
 
-Package: liblunar-date-2.0-0
+Package: liblunar-date-3.0-1
 Pre-Depends:
  ${misc:Pre-Depends},
 Multi-Arch: same
@@ -43,6 +45,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Replaces: liblunar-date-2.0-0 (<= 2.4.0-8)
 Description: Chinese Lunar library based on GObject
  Lunar-date is a Chinese Lunar library based on GObject, which can
  covert between Chinese lunar calendar and Gregorian calendar.
@@ -54,10 +57,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- liblunar-date-2.0-0 (= ${binary:Version}),
+ liblunar-date-3.0-1 (= ${binary:Version}),
+ gir1.2-lunardate-3.0 (= ${binary:Version}),
  ${misc:Depends},
-Replaces: gir1.2-lunar-date-2.0 (<< 2.4.0-7)
-Breaks: gir1.2-lunar-date-2.0 (<< 2.4.0-7)
+Suggests:
+ liblunar-date-doc,
 Description: Chinese Lunar library based on GObject - develop files
  Lunar-date is a Chinese Lunar library based on GObject, which can
  covert between Chinese lunar calendar and Gregorian calendar.
@@ -75,3 +79,18 @@
  covert between Chinese lunar calendar and Gregorian calendar.
  .
  This package contains API documents.
+
+Package: lunar-date
+Section: utils
+Architecture: any
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ liblunar-date-3.0-1 (= ${binary:Version}),
+Description: Chinese Lunar library based on GObject - command and D-Bus
+ Lunar-date is a Chinese Lunar library based on GObject, which can
+ covert between Chinese lunar calendar and Gregorian calendar.
+ .
+ This package contains lunar-date command, D-Bus org.chinese.Lunar.Date.service.
+ The lunar-date need to call D-Bus when running.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Denable_gtk_doc=true -Dwith_introspection=true -Dwith_vala=true -Denable_tests=true

# See upstream bug https://github.com/yetist/lunar-date/issues/14
override_dh_auto_test:
	export LANGUAGE=zh_CN; dh_auto_test

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
     https://github.com/yetist/lunar-date/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## lunar-date 3.0.1

=== meson_options.txt ===
option('introspection',
  type: 'boolean',
  value : false,
  description: 'Build with GObject Introspection support')

option('vapi',
  type: 'boolean',
  value: false,
  description: 'Build to generation vala vapi file')

option('service',
  type : 'boolean',
  value : true,
  description : 'Enable dbus service (default: yes)')

option('docs',
  type : 'boolean',
  value : false,
  description: 'Enable generating the API reference (depends on GTK-Doc)')

option('tests',
  type : 'boolean',
  value : false,
  description : 'Enable test programs (default: no)')

# For subproject usage
option('package_subdir',
  type: 'string',
  description: 'Private sub-directory used when built as a subproject'
)

=== debian/changelog ===
lunar-date (3.0.1-2) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * d/control:
      - liblunar-date-doc add Replaces+Breaks: liblunar-date-dev (<< 3)
      - liblunar-date-3.0-1 add Replaces+Breaks: liblunar-date-2.0-0 (<< 3)
        (Closes: #1002060) Thanks Andreas Beckmann

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 22 Dec 2021 10:38:50 +0800

lunar-date (3.0.1-1) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * d/watch: use @PACKAGE@ @ARCHIVE_EXT@ @ANY_VERSION@
  * New upstream version 3.0.1
  * d/copyright: Upstream change to LGPL-2.1+ license for the whole project
                 from on version 3.0.1
  * delete d/patches/meson.build.patch, new upstream applied
  * d/control: update long Description of liblunar-date-dev package

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 19 Dec 2021 10:11:57 +0800

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Replaces: liblunar-date-2.0-0 (<= 2.4.0-8)
+Replaces: liblunar-date-2.0-0 (<< 3)
+Breaks: liblunar-date-2.0-0 (<< 3)
 Description: Chinese Lunar library based on GObject
  Lunar-date is a Chinese Lunar library based on GObject, which can
  covert between Chinese lunar calendar and Gregorian calendar.
@@ -66,7 +67,10 @@
  Lunar-date is a Chinese Lunar library based on GObject, which can
  covert between Chinese lunar calendar and Gregorian calendar.
  .
- This package contains develop files: C headers and static library.
+ This package contains develop files:
+  * C headers
+  * pkgconfig lunar-date-3.0.pc
+  * gir-1.0 LunarDate-3.0.gir
 
 Package: liblunar-date-doc
 Section: doc
@@ -74,6 +78,8 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+Replaces: liblunar-date-dev (<< 3)
+Breaks: liblunar-date-dev (<< 3)
 Description: Chinese Lunar library based on GObject - API documents
  Lunar-date is a Chinese Lunar library based on GObject, which can
  covert between Chinese lunar calendar and Gregorian calendar.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Denable_gtk_doc=true -Dwith_introspection=true -Dwith_vala=true -Denable_tests=true
+	dh_auto_configure -- -Ddocs=true -Dintrospection=true -Dvapi=true -Dtests=true
 
 # See upstream bug https://github.com/yetist/lunar-date/issues/14
 override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
     https://github.com/yetist/lunar-date/tags \
     (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## lunar-date 3.0.2

=== debian/changelog ===
lunar-date (3.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ xiao sheng wen ]
  * New upstream version 3.0.2
  * Refresh patches
  * Bump Standards-Version: 4.7.2
  * d/copyright:
      - update copyright year info to 2025
      - fix old-fsf-address-in-copyright-file
  * d/control:
      - update Homepage: https://lunar-date.zhcn.cc
      - Build-Dependsremove gnome-common, not needed
      - liblunar-date-dev add Provides: ${gir:Provides}
  * d/rules:
      - add --with gir for dh
      - clear unused include and export

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 14 May 2025 10:36:06 +0800

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,17 @@
  meson,
  debhelper-compat (= 13),
  dh-exec,
- gnome-common,
  gobject-introspection,
- gtk-doc-tools (>= 1.0),
+ gtk-doc-tools,
  intltool,
  libgirepository1.0-dev,
  libglib2.0-dev,
  valac,
  dh-sequence-gir,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Section: libs
-Homepage: https://github.com/yetist/lunar-date
+Homepage: https://lunar-date.zhcn.cc
 Vcs-Git: https://salsa.debian.org/chinese-team/lunar-date.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/lunar-date
 
@@ -61,6 +60,7 @@
  liblunar-date-3.0-1 (= ${binary:Version}),
  gir1.2-lunardate-3.0 (= ${binary:Version}),
  ${misc:Depends},
+Provides: ${gir:Provides}
 Suggests:
  liblunar-date-doc,
 Description: Chinese Lunar library based on GObject - develop files

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/pkg-info.mk
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now
-
 %:
-	dh $@
+	dh $@ --with gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Ddocs=true -Dintrospection=true -Dvapi=true -Dtests=true

## lunar-date 3.2.0

=== debian/changelog ===
lunar-date (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * d/control:
      - delete Rules-Requires-Root: no, useless
      - Build-Depends add gi-docgen
  * d/liblunar-date-doc.install: use usr/share/doc/lunar-date/*
  * d/liblunar-date-3.0-1.symbols: update for new upstream 3.2.0

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 09 Dec 2025 14:18:40 +0800

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  meson,
  debhelper-compat (= 13),
  dh-exec,
+ gi-docgen,
  gobject-introspection,
  gtk-doc-tools,
  intltool,
@@ -16,7 +17,6 @@
  libglib2.0-dev,
  valac,
  dh-sequence-gir,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://lunar-date.zhcn.cc
